@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

:root {
  --left-bg-color: rgba(43, 43, 43, 0.8);
  --left-btn-hover-color: rgba(28, 122, 28, 1);
  --right-bg-color: rgba(87, 84, 236, 0.7);
  --right-btn-hover-color: rgba(87, 84, 236, 1);
  --hover-width: 75%;
  --other-width: 25%;
  --speed: 1000ms;
}

body {
  font-family: 'Roboto', sans-serif;
  height: 100vh;
  margin: 0;
  overflow: hidden;
  color: #fff;
}

.container {
  height: 100%;
  width: 100%;
  display: flex;
}

.split {
  position: relative;
  width: 50%;
  transition: all var(--speed) ease;
  background-size: cover;
}

h1 {
  font-size: 4rem;
  font-weight: bolder;
  position: absolute;
  top: 20%;
}

h1,
a {
  white-space: nowrap;
  left: 50%;
  transform: translateX(-50%);
}

a {
  color: #fff;
  text-decoration: none;
  font-size: 1rem;
  padding: 1.3rem 4rem;
  text-transform: uppercase;
  font-weight: bold;
  border: 0.2rem solid #fff;
  position: absolute;
  top: 40%;
}

.split::before {
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.split.left {
  background-image: url('./xbox.jpg');
}
.split.left:hover {
  width: var(--hover-width);
}
.split.left:hover ~ .split.right {
  width: var(--other-width);
}
.split.left a:hover {
  background-color: var(--left-btn-hover-color);
  border-color: var(--left-btn-hover-color);
}
.split.left::before {
  background-color: var(--left-bg-color);
}

.split.right {
  background-image: url('./ps5.jpg');
}
.split.right:hover {
  width: var(--hover-width);
}
.split.right:hover ~ .split.left {
  width: var(--other-width);
}
.split.right a:hover {
  background-color: var(--right-btn-hover-color);
  border-color: var(--right-btn-hover-color);
}
.split.right::before {
  background-color: var(--right-bg-color);
}
